#ifndef CHATWINDOW_H
#define CHATWINDOW_H

#include <QDialog>
#include "usuario.h"

namespace Ui {
class ChatWindow;
}

class ChatWindow : public QDialog
{
    Q_OBJECT

public:
    explicit ChatWindow(Usuario *usuarioActual, Usuario *otroUsuario, QWidget *parent = nullptr);
    ~ChatWindow();

private slots:
    void on_btnEnviar_clicked();
    void guardarMensaje(const QString &mensaje, bool esPropio);

private:
    Ui::ChatWindow *ui;
    Usuario *m_usuarioActual;
    Usuario *m_otroUsuario;
    QString m_archivoChat;

    void cargarMensajes();
    void agregarMensaje(const QString &mensaje, bool esPropio);
    QString obtenerNombreArchivoChat();
};

#endif // CHATWINDOW_H
